/*
 *  VTparse.h
 *
 *  Created by Herbert Poetzl on Tue Feb 05 2002.
 *  Copyright (c) 2002 H.Poetzl. 
 *
 *  This file is part of MultiTerm.
 *
 *  MultiTerm is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MultiTerm is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MultiTerm; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifdef	_ONLY_PARSER_STRUCT_

struct	_te_vt_info {
        int dummy;
};

struct	_te_vt_vars {
        int dummy;
};

#else	/* _ONLY_PARSER_STRUCT_ */

#ifndef	_VT_PARSER_
#define _VT_PARSER_

#include "parser.h" 

int	vt_init(TEParser *);
void	vt_reset(TEParser *);

int	vt_nextstate(TEParser *, int, int *);
int	vt_transition(TEParser *, int);
int	vt_unbuffer(TEParser *);


#endif	/* _VT_PARSER_ */
#endif	/* _ONLY_PARSER_STRUCT_ */

